# Google Play Developer API . entitlements

## Instance Methods

Lists the user's current inapp item or subscription entitlements

### Method Details

`list(packageName, token=None, maxResults=None, startIndex=None, productId=None)`

    Lists the user's current inapp item or subscription entitlements

    Args:
      packageName: string, The package name of the application the inapp product was sold in (for example, 'com.some.thing'). (required)
      token: string, A parameter
      maxResults: integer, A parameter
      startIndex: integer, A parameter
      productId: string, The product id of the inapp product (for example, 'sku1'). This can be used to restrict the result set.

    Returns:
      An object of the form:

        {
        "tokenPagination": {
          "nextPageToken": "A String",
          "previousPageToken": "A String",
        },
        "pageInfo": {
          "totalResults": 42,
          "startIndex": 42,
          "resultPerPage": 42,
        },
        "resources": [
          { # An Entitlement resource indicates a user's current entitlement to an inapp item or subscription.
            "kind": "androidpublisher#entitlement", # This kind represents an entitlement object in the androidpublisher service.
            "token": "A String", # The token which can be verified using the subscriptions or products API.
            "productType": "A String", # The type of the inapp product. Possible values are:
                # - In-app item: "inapp"
                # - Subscription: "subs"
            "productId": "A String", # The SKU of the product.
          },
        ],
      }